Bug 89677 - adduser cannot create an account with capital characters
adduser cannot create an account with capital characters
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
: 100697 103643 106701 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-04-25 16:40 EDT by W. Gao
Modified: 2007-04-18 12:53 EDT (History)
8 users (show)

See Also:
Fixed In Version: 2:4.0.3-33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-13 12:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description W. Gao 2003-04-25 16:40:11 EDT
Description of problem:
adduser cannot create an account with capital characters
for example:
%adduser AccountName
fails with error message: adduser: invalid user name 'AccountName'

Version-Release number of selected component (if applicable):

How reproducible:
every time it happens.

Steps to Reproduce:
1. adduser AccountNameWithCapitalCharacters
Actual results:
adduser: invalid user name 'AccountNameWithCapitalCharacters'

Expected results:
Adding a new account and creating a new directory under /home/

Additional info:
Comment 1 Brent Fox 2003-05-20 16:47:50 EDT
adduser is part of the shadow-utils package.  Transferring to shadow-utils.
Comment 2 Milan Kerslager 2003-10-23 00:35:46 EDT
This is good as at least sendmail is unable to deliver messages to account with
capital letter in username. I tested it under RH 9 (sendmail-8.12.8-9.90).

So do not allow capital letters in usernames at all please. This breaks at least
sendmail (in previous versions of RH Linux too).
Comment 3 Milan Kerslager 2003-10-23 00:42:43 EDT
*** Bug 100697 has been marked as a duplicate of this bug. ***
Comment 4 Milan Kerslager 2003-10-23 00:43:23 EDT
*** Bug 103643 has been marked as a duplicate of this bug. ***
Comment 5 Milan Kerslager 2003-10-23 00:45:37 EDT
*** Bug 106701 has been marked as a duplicate of this bug. ***
Comment 6 Jeremy Portzer 2003-11-03 13:45:57 EST
As mentioned in bug #100697 , POSIX seems to allow user names to be
mixed case:

If sendmail cannot deliver to accounts with mixed-case names, that is
a sendmail bug, and it should be filed and fixed separately.  Mixed
case names should be allowed generally (though the ability to set a
policy to prevent them locally would be a good idea.)

Note: this bug is still present in Fedora Core; I suggest that the
original submitter should switch the product so it gets more attention
in the Fedora development process.
Comment 7 Pierre Amadio 2003-12-05 04:51:47 EST
I have a customer that encounter the same trouble with RHEL3. The
trouble is he has an application that have to use a specfic user with
captial letter in the login. Automatic creation of this user fail.

Right now, a proposed workaround would be to change entry in
/etc/shadow and /etc/password with an editor or a sed script, plus
eventually change the /home/loginname to /home/LOGINNAME too.

Comment 8 Milan Kerslager 2003-12-05 04:56:20 EST
As E-mail addres is case insesitive (see RFC about email), this is not
clear if mail to Joe should be passed to account Joe, joe or joE or
whatever another mixed case (different) system account. So this seems
to me that sendmail behavior is correct and only one really acceptable.

The postmaster is informed when sendmail is unable to deliver a message.
Comment 9 jean-françois Chaney 2003-12-05 05:17:56 EST
adduser cannot create an account with capital characters: I have the
same problem with red hat 3.0 advanced server ES
Comment 10 Jack Perdue 2003-12-05 12:01:33 EST
The workaround to change /home/loginname to /home/LOGINNAME also
requires a symlink from /home/loginname->/home/LOGINNAME (or 
vice-versa) because OpenSSH server seems to translate uppercase
to lowercase when doing public key authentication (which fails
if the home dir is only in uppercase).

If this really is a "bug" with sendmail, then someone should
add it to its list... I don't see it here:


This change in username requirements really breaks a lot
of interoperability and should be fixed (i.e. Solaris and HP-UX don't
have this restriction).

Comment 11 Vijayeendra Namasevi 2004-09-06 07:56:15 EDT
Problem persists @ RHEL3 U3 (beta) as well.
Comment 12 Gildas Bescond 2004-10-27 08:45:33 EDT
The workaround is usable with one account but is problematic for a
transfer using the command 'net rpc vampire'

Note You need to log in before you can comment on or make changes to this bug.